Subject: Re: Compiling perl scripts
From: Gerrit Peter Haase <[email-masked]>
To: Stephen Patterson <[email-masked]>
Cc: perl win32 list <[email-masked]>, [email-masked]
Date: Mon, 15 Jan 2001 22:20:08 +0000

Stephen Patterson schrieb:
> 
> How can I specify a compiler for perlcc to use?
> 
> I have the cygnus linux(ish) toolkit, with gcc, g++ cc1 and make, does
> anyone know how to tell perlcc to use any of these?
> 

From perlcc, line 272-282 (for my perl):

sub cc_harness {
	my ($cfile,$stash)=@_;
	use ExtUtils::Embed ();
	my $command = ExtUtils::Embed::ccopts." -o $Output $cfile ";
	$command .= " -I".$_ for split /\s+/, opt(I);
	$command .= " -L".$_ for split /\s+/, opt(L);
	my @mods = split /-?u /, $stash;
	$command .= " ".ExtUtils::Embed::ldopts("-std", \@mods);
	vprint 3, "running cc $command";
	system("cc $command");
}
              ^^^^^^^^

here is hardcoded 'cc' were your compiler needs to be called (gcc).

In Erics perl5.6.1-1 for cygwin, there is a patch aplied that fixes this.

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple